# Logging entries are written to an already open log file.

### Consider using services in Python logging module.


import os, time
from operator import add

from app_globals import log_dir


def emit_log_entry(log_file, entry_text, start=None, stop=None):
    if start == None:
       start = time.time()
       num_text = '--'
    else:
       if stop == None: stop = time.time()
       duration = stop - start
       if duration >= 1.0:
          num_text = '-- %6.1f  sec --' % duration
       else:
          num_text = '-- %6d usec --' % int(duration * 1000000)
    debug_log(log_file,
              time.strftime('%b %d %H:%M:%S', time.localtime(start)),
              num_text, entry_text)


def _preprocess(val):          # make tuples safe for %-operator
    if isinstance(val, tuple): return repr(val)
    else:                      return val
           
def debug_log(log_file, *values):
    print >> log_file, \
          reduce(add, [ ' %s' % _preprocess(v) for v in values ], '')
    log_file.flush()


ops_log_file = open(os.path.join(log_dir, 'ops_log'), 'a')
