'''
Pathena Desktop Search -- a file indexing and query tool.

Copyright (c) 2004-2005, Ben Di Vito.
This application is open source software.
See file "License" for a full statement of distribution and copyright terms.
'''

# pathena.py
# Author          : Ben Di Vito
# Created On      : 12 Sep 2004
# Last Modified By: Ben Di Vito
# Last Modified On: 16 Oct 2005

import sys
from client_globals   import *
from StringIO import StringIO
from traceback import print_exc


# ---------- Create and start application ---------- #

try:
    import pathena_main
    # returns when main event loop terminates
except StartUpError:
    sys.exit()     # dialog messages should have been displayed already
except:
    trace = StringIO()
    print_exc(100, trace)
    log = open(os.path.join(log_dir, 'Init-error-log'), 'w')
    print >> log, trace.getvalue()  # backup in case internal_error fails
    log.close()
    internal_error(trace.getvalue(), 'Initialization')

# Following are errors deferred from early startup phases.

if preference_load_error:
    user_dialog(showerror, *user_msg_sub(error_messages, 'bad_preferences',
                                         preference_load_error))

if font_load_error:
    user_dialog(showerror,
                *user_msg_sub(error_messages, 'missing_font_family',
                              font_load_error))


