# Pathena file-type class definition

from file_type_attribs import *

# ============== Do not change anything above this line ==============


# RPM archive file type.

species_name    = 'rpm'

separator =  '<<<<<-----Pathena----->>>>>\n'

def strip_off_prefix(content):
    index = content.find(separator)
    if index == -1: return content
    return content[index:].replace(separator, '')

#def file_converter(options=''):
#    return make_shell_command('rpm -q%s -p %%s' % options)

converter_exists, file_converter_i = \
    make_converter_command('rpm', 'rpm -qi -p %s')

converter_exists, file_converter_l = \
    make_converter_command('rpm', 'rpm -ql -p %s')

class Regular_Type(Archive_Genus):

    def __init__(self, name):
        Archive_Genus.__init__(self, name)

    file_extensions = ('rpm',)

    commands_needed = ('rpm',)

    if converter_exists:
        def convert_file(self, path, usage=0):
            if usage in (1,2):    # indexing and headlines
                return protected_convert_file(file_converter_l, path, usage)
            elif usage == 0:      # display
                return protected_convert_file(file_converter_i, path, usage) \
                       + '\n\n' + \
                       protected_convert_file(file_converter_l, path, usage)
            else:                 # caching
                return protected_convert_file(file_converter_i, path, usage) \
                       + separator + \
                       protected_convert_file(file_converter_l, path, usage)
    else:
        def convert_file(self, path, usage=0):
            if usage == 0:      # display
                return file_converter_i(path)
            else:
                return ''
    
    def convert_cached_content(self, content, usage=0):
        if usage == 0:
            return content.replace(separator, '\n\n')
        else:
            # retain only path names for indexing, headlines
            return strip_off_prefix(content)


# ============== Do not change anything below this line ==============

register_type_class(Regular_Type(species_name))
