# Pathena file-type class definition

from file_type_attribs import *

# ============== Do not change anything above this line ==============


# Tar archive file type.

import os, re

species_name    = 'tar'


file_line_pattern = re.compile(r"\d{2,2}:\d{2,2}")

def strip_to_path_names(content):
    return ''.join([ ' '.join(filter(None, line.split(' '))[5:])
                     for line in content.splitlines(1)
                     if file_line_pattern.search(line) ])

compression_option = {'.tar': '', '.tgz': 'z', '.tbz': 'j'}

def file_converter(path, display_option=''):
    options = compression_option.get(os.path.splitext(path)[1], '') + \
              display_option
    return make_shell_command('tar -t%sf %%s' % options)


class Regular_Type(Archive_Genus):

    def __init__(self, name):
        Archive_Genus.__init__(self, name)

    file_extensions = ('tar', 'tgz', 'tbz')

    def convert_file(self, path, usage=0):
        if usage in (1, 2):    # indexing and headlines
#            return file_converter(path)(path)
            return strip_to_path_names(file_converter(path)(path))
        else:                  # display and caching
            return file_converter(path, 'v')(path)
    
    def convert_cached_content(self, content, usage=0):
        if usage == 0:
            return content
        else:
            # retain only path names for indexing, headlines
            return strip_to_path_names(content)


# ============== Do not change anything below this line ==============

register_type_class(Regular_Type(species_name))
