# Pathena file-type class definition

from file_type_attribs import *

# ============== Do not change anything above this line ==============


# PostScript (PS) document file type.


species_name = 'postscript'


# ps2ascii uses ghostscript and can sometimes exhibit bad behavior.
# On some files it can be very slow and might need to be interrupted.
# Using the standard timeout value for now.

converter_exists, file_converter = \
    make_converter_command('ps2ascii',
                           truncated_spawn('ps2ascii', '', '',
                                           command_timeout))


class Regular_Type(Document_Genus):

    def __init__(self, name):
        Document_Genus.__init__(self, name)

    file_extensions = ('ps',)

    commands_needed = ('ps2ascii',)

    external_viewers = (('gv', 'gv "%s"'),
                        ('kghostview', 'kghostview "%s"'))
    
#    external_editors = None

    if converter_exists:
        def convert_file(self, path, usage=0):
            return protected_convert_file(file_converter, path, usage)
    else:
        def convert_file(self, path, usage=0):
            if usage == 0:      # display
                return file_converter(path)
            else:
                return ''
    
#    def extract_title(self, path, orig_path=None):
#        return os.path.basename(path)
    
    def extract_metadata(self, path, orig_path=None):
        file = open(path)
        prefix = file.readlines(1000)   # only need first 15 lines or so
        file.close()
        metadata = [ line for line in prefix if line[0:2] in ('%%','%!') ]
        return ''.join(metadata)


# ============== Do not change anything below this line ==============

register_type_class(Regular_Type(species_name))
