# Pathena file-type class definition

from file_type_attribs import *

# ============== Do not change anything above this line ==============


# Hypertext markup language (HTML) file type.

species_name    = 'html'

import re

_title_pattern = re.compile('(?i)<title>(.*)</title>')


class Regular_Type(Markup_Genus):

    def __init__(self, name):
        Markup_Genus.__init__(self, name)

    file_extensions = ('html', 'htm')
    
    external_viewers = (# create new tab in current epiphany window
                        ('Epiphany',  'epiphany -n "file:%s"'),
                        ('Firefox',   'firefox "file:%s"'),
                        ('Mozilla',   'mozilla "file:%s"'),
                        ('Konqueror', 'konqueror "file:%s"'),
                         )
    
#    external_editors = None
    
#    def convert_file(self, path, usage=0):
#        return extract_plain_text(path)

    def extract_title(self, path, orig_path=None):
        file = open(path)
        prefix = file.read(5000)   # we expect to see title near the front
        file.close()
        match = _title_pattern.search(prefix)
        if match: return match.group(1).strip()
        return ''
    
#    def extract_metadata(self, path, orig_path=None):
#	 return ''


# ============== Do not change anything below this line ==============

register_type_class(Regular_Type(species_name))
