# Pathena file-type class definition

from file_type_attribs import *

# ============== Do not change anything above this line ==============


# TeX, LaTeX markup language file type.

species_name    = 'tex'

import re

_cmd_pattern = re.compile(r'\\[a-zA-Z]+')

def extract_text_content(path_name):
    return _cmd_pattern.sub(' ', extract_plain_text(path_name))


class Regular_Type(Markup_Genus):

    def __init__(self, name):
        Markup_Genus.__init__(self, name)

    file_extensions = ('tex',)
    
#    external_viewers = None
    
#    external_editors = None
    
    def convert_file(self, path, usage=0):
        if usage == 1:   # indexing
            return extract_text_content(path)
        else:
            return extract_plain_text(path)

#    def extract_title(self, path, orig_path=None):
#        return ''
    
#    def extract_metadata(self, path, orig_path=None):
#	 return ''


# ============== Do not change anything below this line ==============

register_type_class(Regular_Type(species_name))
