# Pathena file-type class definition

from file_type_attribs import *

# ============== Do not change anything above this line ==============


# Extended markup language (XML) file type.

species_name    = 'xml'

import os, re

stylesheet_file = os.path.join(types_dir, 'null.xslt')

xslt_cmd = make_shell_command('xsltproc --novalid "%s" %%s' % stylesheet_file)

# conversion provided (in part) by xsltproc if it exists:
    
def extract_xml_text(path):
    temp_file = new_temp_file_name()
    content = open(temp_file, 'w')
    # insert newline at end of each XML element to prevent run-on text
    # and improve readability
    content.write(extract_plain_text(path).replace('</', '\n</'))
    content.close()
    text = xslt_cmd(temp_file)
    os.remove(temp_file)
    return purge_extra_blank_lines(text)

converter_exists, file_converter = \
    make_converter_command('xsltproc', extract_xml_text)

######## add truncated_spawn???

title_pattern = re.compile(r'<dc:title>(.*)</dc:title>')

def title_extractor(path):
#     metadata = extract_subfile(path, 'meta.xml')
#     match = title_pattern.search(metadata)
#     if match: return match.group(1)
#     else:     return ''
    return ''

if converter_exists:
    metadata_extractor = null_string_fn
else:
    metadata_extractor = null_string_fn


# Introduce a common file type class usable by all OOffice file types

class Regular_Type(Markup_Genus):

    def __init__(self, name):
        Markup_Genus.__init__(self, name)

    file_extensions = ('xml',)

#    external_viewers = (('--', '-- "%s"'), )

    commands_needed = ('xsltproc',)
    
    def convert_file(self, path, usage=0):
        if converter_exists:
            return protected_convert_file(file_converter, path, usage)
        elif usage == 0:
            return file_converter(path)
        else:
            return ''
    
    def extract_title(self, path, orig_path=None):
        return title_extractor(path)

    def extract_metadata(self, path, orig_path=None):
        return metadata_extractor(path)


# ============== Do not change anything below this line ==============

register_type_class(Regular_Type(species_name))
